package com.ningdatech.pmapi.projectlib.manage;

import com.ningdatech.basic.function.VUtils;
import com.ningdatech.pmapi.projectlib.model.dto.ApplicationAppCodeSaveDTO;
import com.ningdatech.pmapi.projectlib.model.entity.ProjectApplication;
import com.ningdatech.pmapi.projectlib.service.IProjectApplicationService;
import com.ningdatech.pmapi.user.util.LoginUserUtil;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.Objects;

/**
 * <p>
 * ApplicationManage
 * </p>
 *
 * @author ZPF
 * @since 14:19 2023/2/1
 */
@Component
@RequiredArgsConstructor
@Slf4j
public class ApplicationManage {

    private final IProjectApplicationService applicationService;

    /**
     * 保存 appCode
     * @param dto
     * @return
     */
    public String saveAppCode(ApplicationAppCodeSaveDTO dto) {
        Long userId = LoginUserUtil.getUserId();
        ProjectApplication app = applicationService.getById(dto.getId());
        VUtils.isTrue(Objects.isNull(app)).throwMessage("该应用不存在");

        app.setAppCode(dto.getAppCode());
        app.setUpdateOn(LocalDateTime.now());
        app.setUpdateBy(userId);
        if(applicationService.updateById(app)){
            return "保存成功";
        }
        return "保存失败";
    }

    public String getReport(ApplicationAppCodeSaveDTO dto) {

        return null;
    }
}
